# NewGamePhysics.Utilities.NativeAudioInterface.WaveHeader Struct Reference

Wave header structure for native interop. More...

List of all members.

## Public Attributes
IntPtr | lpData
| Pointer to locked data buffer.
int | dwBufferLength
| Length of data buffer.
int | dwBytesRecorded
| Unused (i.e. used for input only).
IntPtr | dwUser
| Client parameter.
int | dwFlags
| Various flags.
int | dwLoops
| Loop control counter.
IntPtr | lpNext
| WaveHdr, reserved for driver.
int | reserved
| Reserved for driver.

## Detailed Description

Wave header structure for native interop.

Definition at line 188 of file NativeAudio.cs.

## Member Data Documentation

int NewGamePhysics.Utilities.NativeAudioInterface.WaveHeader.dwBufferLength

Length of data buffer.

Definition at line 198 of file NativeAudio.cs.

int NewGamePhysics.Utilities.NativeAudioInterface.WaveHeader.dwBytesRecorded

Unused (i.e. used for input only).

Definition at line 203 of file NativeAudio.cs.

int NewGamePhysics.Utilities.NativeAudioInterface.WaveHeader.dwFlags

Various flags.

Definition at line 213 of file NativeAudio.cs.

int NewGamePhysics.Utilities.NativeAudioInterface.WaveHeader.dwLoops

Loop control counter.

Definition at line 218 of file NativeAudio.cs.

IntPtr NewGamePhysics.Utilities.NativeAudioInterface.WaveHeader.dwUser

Client parameter.

Definition at line 208 of file NativeAudio.cs.

IntPtr NewGamePhysics.Utilities.NativeAudioInterface.WaveHeader.lpData

Pointer to locked data buffer.

Definition at line 193 of file NativeAudio.cs.

IntPtr NewGamePhysics.Utilities.NativeAudioInterface.WaveHeader.lpNext

WaveHdr, reserved for driver.

Definition at line 223 of file NativeAudio.cs.

int NewGamePhysics.Utilities.NativeAudioInterface.WaveHeader.reserved

Reserved for driver.

Definition at line 228 of file NativeAudio.cs.

The documentation for this struct was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/NewGamePhysics/Utilities/NativeAudio.cs